site_name: QuarkDB Documentation
theme:
  name: null
  custom_dir: '../deps/mkdocs-material/material'
  language: en

  # 404 page
  static_templates:
    - 404.html

  # Don't include MkDocs' JavaScript
  include_search_page: false
  search_index_only: true

  # Default values, taken from mkdocs_theme.yml
  language: en
  palette:
    primary: indigo
    accent: indigo
  font:
    text: Roboto
    code: Roboto Mono
  favicon: assets/images/favicon.png
  icon:
    logo: logo

  font:
    text: Roboto
    code: Roboto Mono
  feature:
    tabs: true

nav:
  - Home:
    - Introduction: index.md
    - Getting started:
      - Installation: installation.md
      - Configuration: configuration.md
      - Troubleshooting: troubleshooting.md
    - Operator's manual:
      - Checklist for production: checklist.md
      - Disk space: disk-space.md
      - Version upgrades: upgrading.md
      - Backup & restore: backup.md
      - Failure scenarios: failure-scenarios.md
    - Configuration:
      - Password authentication: authentication.md
      - Journal trimming: journal-trimming.md
      - Resilvering: resilvering.md
      - Fsync policy: fsync.md
      - Bulkload mode: bulkload.md
      - Membership updates: membership.md
    - Release notes: release-notes.md
  - Command reference:
    - Authentication:
      - AUTH: ref/auth.md
      - HMAC signing challenges: ref/hmac-signing-challenges.md
    - String types:
      - GET: ref/string/get.md
      - SET: ref/string/set.md
    - Hash types:
      - HGET: ref/hash/hget.md
      - HSET: ref/hash/hset.md
      - HMSET: ref/hash/hmset.md
      - HEXISTS: ref/hash/hexists.md
      - HKEYS: ref/hash/hkeys.md
      - HGETALL: ref/hash/hgetall.md
  - Advanced topics:
    - Raft basics: raft.md
    - Write path: write-path.md
    - Raft extensions: raft-extensions.md
